Subject: Re: termcap situations...
From: [email-masked] ("Justin Harvey")

10 May 1997 19:25:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Mikey" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
Original-Sender: [email-masked]

Here is some more information, if I can hardcode it into the code it would
work, here is what it has now, can anyone suggest how to tweak this?

TERMCODE (clear_screen,		"\033[H\033[J")
TERMCODE (clear_to_eos,		"\033[J")
TERMCODE (clear_to_eol,		"\033[K")
TERMCODE (cursor_address,	"\033[%d;%dH")  /* (in printf format) */
TERMCODE (enter_ca_mode,	NULL)           /* enable cursor motion mode */
TERMCODE (exit_ca_mode,		NULL)           /* disable cursor motion mode */
TERMCODE (change_scroll_region,	"\033[%d;%dr")  /* (in printf format) */

If I compile the program with HARDCODE defined (uses above sequences) the
"visual mode" which splits the screen between input and output, when the
output comes down the screen is bleeds through the line into the intput
area, it should continue to scroll at the line which splits the screen.

If I compile with TERMCAP defined and link in libncurses.a, it says it's
unable to open vt100.  

frustated,

j

----------
> From: Mikey <[email-masked]>
> To: Justin B. Harvey <[email-masked]>
> Cc: cygnus <[email-masked]>
> Subject: Re: termcap situations...
> Date: Saturday, May 10, 1997 1:16 AM
> 
> When asking for help from the list, it is wise to specify a few details,
> Platform,
> environment, program output, the name of the program that you are working
> on, wheather the ncurses test programs worked etc.
> 
> from what you have said, it is impossible to tell whats going on, my
> programs compiled against ncurses
> from b17.1, all still work ie less elvis man etc.
> 
> ----
> From: Justin B. Harvey <[email-masked]>
> To: [email-masked]
> Date: Friday, May 09, 1997 9:43 PM
> Subject: termcap situations...
> 
> >How does compiling programs from bash and running them work with
termcap?
> >I've installed ncurses and the program that needs curses still doesn't
> >work....am I missing a linked library somewhere?
> >
> >j
> >--
> >Justin B. Harvey
> >[email-masked]
> >http://home1.gte.net/jbharvey
> >-
> >For help on using this list (especially unsubscribing), send a message
to
> >"[email-masked]" with one line of text: "help".
> >
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".